Skip to main content
PUT
/
registrar
/
v1
/
domains
/
{domain_name}
/
nameservers
Update domain nameservers
curl --request PUT \
  --url https://www.atom.com/api/registrar/v1/domains/{domain_name}/nameservers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "custom",
  "nameservers": [
    "ns1.example.com",
    "ns2.example.com"
  ]
}
'
import requests

url = "https://www.atom.com/api/registrar/v1/domains/{domain_name}/nameservers"

payload = {
"type": "custom",
"nameservers": ["ns1.example.com", "ns2.example.com"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: 'custom', nameservers: ['ns1.example.com', 'ns2.example.com']})
};

fetch('https://www.atom.com/api/registrar/v1/domains/{domain_name}/nameservers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "domain_name": "example.com",
    "nameservers": [
      "ns1.atom.com",
      "ns2.atom.com"
    ],
    "type": "atom"
  }
}
{
"success": false,
"error": "Bad Request",
"message": "Invalid input provided"
}
{
"success": false,
"error": "Unauthorized",
"message": "Invalid registrar API token or access has been revoked. Please request registrar API access from your dashboard."
}
{
"success": false,
"error": "Bad Request",
"message": "Invalid input provided"
}
{
"success": false,
"error": "Bad Request",
"message": "Invalid input provided"
}
{
"success": false,
"error": "Bad Request",
"message": "Invalid input provided"
}

Authorizations

Authorization
string
header
required

Registrar API Bearer token. Obtain from dashboard at /dashboard/seller/api-access after requesting Registrar API access.

Path Parameters

domain_name
string
required

Domain name (e.g., 'example.com')

Body

application/json
type
enum<string>
required

Nameserver type: 'atom' uses Atom nameservers, 'parking' uses parking nameservers, 'custom' requires nameservers array

Available options:
atom,
parking,
custom
Example:

"custom"

nameservers
string[]

Required if type is 'custom'. Array of nameserver hostnames.

Example:
["ns1.example.com", "ns2.example.com"]

Response

Nameservers updated successfully

success
boolean
Example:

true

data
object